<template>
  <div class="faqs" id="section-faqs">
    <IconAnimationBlue class="icon-blue"/>
    <div class="container">
      <IconAnimationRedRight class="icon-red"/>
      <IconAnimationOrange class="icon-orange"/>
      <div class="f fdc aic align-c faqs__header">
          <div class="heading-large faqs__header-title">
            Câu hỏi thường gặp
          </div>
          <div class="mt05 mb25 gray-1 faqs__header-text">
            Mọi thắc mắc của bạn sẽ được tận tình giải đáp & tư vấn 24/7
          </div>
      </div>
      <accordion
        :is-single="true"
        class="grid grid--2 grid--faqs"
      >
        <div
          v-for="(item, index) in accordions"
          :key="index"
          class="grid__item"
        >
          <accordionBlock>
            <template v-slot:header>{{ item.title }}</template>
            <template v-slot:content>{{ item.content }}</template>
          </accordionBlock>
        </div>
      </accordion>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Faqs',
  data () {
    return {
      accordions: [
        {
          title: 'Làm thế nào cài đặt mới ứng dụng?',
          content: `Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting`
        },
        {
          title: 'Làm thế nào để cấp quyền định vị cho ứng dụng trên dòng thiết bị HĐH IOS/Android?',
          content: `Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting`
        },
        {
          title: 'Phải làm gì để khắc phục lỗi định vị trên thiết bị?',
          content: `Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting`
        },
        {
          title: 'Tại sao tôi không thể xem được danh sách cửa hàng tạp hóa tôi đã tạo?',
          content: `Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting`
        },
        {
          title: 'Tại sao phần mềm báo lỗi khi tôi tạo mới cửa hàng tạp hóa?',
          content: `Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting`
        }
      ]
    }
  }
}
</script>

<style scoped lang="scss">
@import "faqs.scss";

.icon-red {
  position: absolute;
  bottom: -90px;
  right: -60px;
}

.icon-blue {
  position: absolute;
  top: 360px;
  left: 135px;
}

.icon-orange {
  position: absolute;
  top: -80px;
  left: -30px;
  @media screen and (min-width: 1024px) {
    top: -30px;
    left: -30px;
  }
}
</style>
